# Templates

Products - Response Library - Templates

## Get All Templates

 - [GET /templates](https://docs.uberall.com/apis/swagger/templates/get_templates.md): Get all templates, potentially filtered by businesses, locations, authors, ...

## Creates a Template

 - [POST /templates](https://docs.uberall.com/apis/swagger/templates/post_templates.md): Creates a template

## Get a Template

 - [GET /templates/{id}](https://docs.uberall.com/apis/swagger/templates/get_templates_id.md): Get all information about a specific template

## Delete a Template

 - [DELETE /templates/{id}](https://docs.uberall.com/apis/swagger/templates/delete_templates_id.md): Delete a Template

## Update a Template

 - [PATCH /templates/{id}](https://docs.uberall.com/apis/swagger/templates/patch_templates_id.md): Make changes to a template. Any blank parameter deletes an old value, any unspecified parameter does nothing

## Increment the count of times a Template has been used

 - [POST /templates/{id}/increment-usage](https://docs.uberall.com/apis/swagger/templates/post_templates_id_increment_usage.md): Every time a template is used we trigger this endpoint to increment the usage count

## Returns a list of Authors

 - [GET /templates/authors](https://docs.uberall.com/apis/swagger/templates/get_templates_authors.md): Returns a list containing template authors for the input business ids

## Returns a list of Tags

 - [GET /templates/tags](https://docs.uberall.com/apis/swagger/templates/get_templates_tags.md): Returns a list containing template tags for the input business ids

